Imports System.Web.UI.Design

Public Class WaitScreenDesigner : Inherits ControlDesigner
    Public Overrides Function GetDesignTimeHtml() As String
        Dim imageUrl As String = DirectCast(Me.Component, WaitScreen).ImageUrl

        Dim webApp As IWebApplication = _
            DirectCast(Component.Site.GetService(GetType(IWebApplication)), IWebApplication)


        Dim item As IProjectItem = webApp.GetProjectItemFromUrl("~/" & imageUrl)
        Return String.Concat("<img src=""", item.PhysicalPath & "\""alt='Please wait...' />")

    End Function


End Class